---
lang: en
title: 'API docs: openapi-v3.getcontrollerspec'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-v3.getcontrollerspec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [getControllerSpec](./openapi-v3.getcontrollerspec.md)

## getControllerSpec() function

Get the controller spec for the given class

<b>Signature:</b>

```typescript
export declare function getControllerSpec(constructor: Function): ControllerSpec;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  constructor | <code>Function</code> | Controller class |

<b>Returns:</b>

`ControllerSpec`


